import { CameraControls, DrawDimension, PointPick, Viewer, createEdge, createTemplateBoard, LoadBoard, CameraControlState } from "cadview";
// import { Color, Face3, MeshBasicMaterial, Object3D, Vector2, Vector3 } from "three";
import { data } from "./data";
import "./style.css";

let el = document.createElement("div");

el.style.width = "100%";
el.style.height = "100%";
document.body.appendChild(el);

let view = new Viewer(el);

//修改这个顺序 改变1 2 3 个触摸点时的触发状态.
view.m_CameraCtrl.m_TouthTypeList = [CameraControlState.Rotate, CameraControlState.Scale, CameraControlState.Pan];
//例如,修改单指滑动为平移.
view.m_CameraCtrl.m_TouthTypeList = [CameraControlState.Pan, CameraControlState.Scale, CameraControlState.Rotate];

//加载
LoadBoard(view,data);
